Get revenue from each sales channel
POST
/openapi/reporting/moneyfromeachchannel
const url = 'https://open-api.replyco.com/openapi/reporting/moneyfromeachchannel';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/reporting/moneyfromeachchannel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true }'Returns total revenue generated from each sales channel/marketplace.
Revenue breakdown:
- Gross revenue per channel
- Net revenue (after fees)
- Channel fees and commissions
- Currency-normalized values
Analysis features:
- Channel profitability comparison
- Revenue trends over time
- ROI per channel
- Best performing channels
Use cases:
- Channel profitability analysis
- Budget allocation decisions
- Fee optimization
- Multi-channel strategy planning
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Report filter settings including date range
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
Responses
Section titled “Responses”Returns the money from each channel report
Invalid filter parameters
User is not authenticated or authorized